GNU Radio's AIS Package: gr::ais::msk_timing_recovery_cc_impl Class Reference

GNU Radio's AIS Package

Public Member Functions | List of all members
gr::ais::msk_timing_recovery_cc_impl Class Reference

`#include <msk_timing_recovery_cc_impl.h>`

Inheritance diagram for gr::ais::msk_timing_recovery_cc_impl:
[legend]

## Public Member Functions
| msk_timing_recovery_cc_impl (float sps, float gain, float limit, int osps)
| ~msk_timing_recovery_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_gain (float gain)
float | get_gain (void)
void | set_limit (float limit)
float | get_limit (void)
void | set_sps (float sps)
float | get_sps (void)
virtual void | set_gain (float gain)=0
virtual float | get_gain (void)=0
virtual void | set_limit (float limit)=0
virtual float | get_limit (void)=0
virtual void | set_sps (float sps)=0
virtual float | get_sps (void)=0

## Additional Inherited Members
Public Types inherited from gr::ais::msk_timing_recovery_cc
typedef boost::shared_ptr< msk_timing_recovery_cc > | sptr
Static Public Member Functions inherited from gr::ais::msk_timing_recovery_cc
static sptr | make (float sps, float gain, float limit, int osps)
| Make an MSK timing recovery block. More...

## Constructor & Destructor Documentation

## ◆ msk_timing_recovery_cc_impl()

gr::ais::msk_timing_recovery_cc_impl::msk_timing_recovery_cc_impl | ( | float | sps,
|  | float | gain,
|  | float | limit,
|  | int | osps
| ) |  |

## ◆ ~msk_timing_recovery_cc_impl()

gr::ais::msk_timing_recovery_cc_impl::~msk_timing_recovery_cc_impl | ( |  | ) |

## Member Function Documentation

## ◆ forecast()

void gr::ais::msk_timing_recovery_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required
| ) |  |

## ◆ general_work()

int gr::ais::msk_timing_recovery_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## ◆ get_gain()

float gr::ais::msk_timing_recovery_cc_impl::get_gain | ( | void |  | ) |
| virtual

Implements gr::ais::msk_timing_recovery_cc.

## ◆ get_limit()

float gr::ais::msk_timing_recovery_cc_impl::get_limit | ( | void |  | ) |
| virtual

Implements gr::ais::msk_timing_recovery_cc.

## ◆ get_sps()

float gr::ais::msk_timing_recovery_cc_impl::get_sps | ( | void |  | ) |
| virtual

Implements gr::ais::msk_timing_recovery_cc.

## ◆ set_gain()

void gr::ais::msk_timing_recovery_cc_impl::set_gain | ( | float | gain | ) |
| virtual

Implements gr::ais::msk_timing_recovery_cc.

## ◆ set_limit()

void gr::ais::msk_timing_recovery_cc_impl::set_limit | ( | float | limit | ) |
| virtual

Implements gr::ais::msk_timing_recovery_cc.

## ◆ set_sps()

void gr::ais::msk_timing_recovery_cc_impl::set_sps | ( | float | sps | ) |
| virtual

Implements gr::ais::msk_timing_recovery_cc.

The documentation for this class was generated from the following file:

- msk_timing_recovery_cc_impl.h